> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Packing List

> This endpoint list packing lists.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the packing lists.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the packing lists.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the packing lists.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the unique identifier for the packing list.
</ResponseField>

<ResponseField name="number" type="string">
  This is the number associated with the packing list.
</ResponseField>

<ResponseField name="deliveryDate" type="string">
  This is the date of delivery for the packing list.
</ResponseField>

<ResponseField name="invoice_number" type="string">
  This is the invoice number associated with the packing list.
</ResponseField>

<ResponseField name="arrivalDate" type="string">
  This is the date of arrival for the packing list.
</ResponseField>

<ResponseField name="purchase_order_number" type="string">
  This is the purchase order number associated with the packing list.
</ResponseField>

<ResponseField name="ship_per" type="string">
  This is the shipping information or carrier for the packing list.
</ResponseField>

<ResponseField name="tracking_number" type="string">
  This is the tracking number associated with the shipment for the packing list.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/packing_lists/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1",
  }'
  ```

  ```graphQL GraphQL theme={null}

   query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
    packing_lists(limit: $limit, offset: $offset, order_by: {createdDate: $order_direction}) {
        id
        number
        deliveryDate
        arrivalDate
        ship_per
        tracking_number
      }
    }

  ```

  ```javascript Node.js theme={null}

  var packinglists = await stateset.packinglists.retreive({
      id: "1"
  });

  ```

  ```python Python theme={null}

  packinglists = stateset.packinglists.retreive({
      "id": "1"
  })

  ```

  ```ruby Ruby theme={null}

  packinglists = Stateset::PackingLists.retreive({
      "id": "1"
  })

  ```

  ```php PHP theme={null}

  $packinglists = $stateset->packinglists->retreive([
      "id" => "1"
  ]);

  ```

  ```go Go theme={null}

  packinglists, err := stateset.PackingLists.Retreive("1")

  ```

  ```java Java theme={null}

  PackingLists packinglists = stateset.packinglists.retreive({
      "id": "1"
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "1",
    "number": "1",
    "deliveryDate": "2020-01-01",
    "arrivalDate": "2020-01-01",
    "ship_per": "John Doe",
    "tracking_number": "1234567890"
  }
  ```
</ResponseExample>

## Packing List

| Name                    | Type                       | Description                                                       |
| ----------------------- | -------------------------- | ----------------------------------------------------------------- |
| id                      | Text (Primary Key, Unique) | Unique identifier for the packing list                            |
| number                  | Text (Nullable)            | Number associated with the packing list                           |
| deliveryDate            | Date (Nullable)            | Date of delivery for the packing list                             |
| invoice\_number         | Text (Nullable)            | Invoice number associated with the packing list                   |
| arrivalDate             | Date (Nullable)            | Date of arrival for the packing list                              |
| purchase\_order\_number | Text (Nullable)            | Purchase order number associated with the packing list            |
| ship\_per               | Text (Nullable)            | Shipping information or carrier for the packing list              |
| tracking\_number        | Text (Nullable)            | Tracking number associated with the shipment for the packing list |

## Packing List Item

| Name          | Type                       | Description                                        |
| ------------- | -------------------------- | -------------------------------------------------- |
| id            | Text (Primary Key, Unique) | Unique identifier for the packing list item        |
| sku           | Text                       | Stock Keeping Unit (SKU) for the packing list item |
| description   | Text                       | Description or additional details about the item   |
| quantity      | Integer                    | Quantity of the item in the packing list item      |
| packing\_list | Text                       | Identifier for the associated packing list         |
| arrived       | Boolen                     | Whether or not the packing list item has arrived   |
